stb(1)

NAME
stb - A tool for authoring Sphinx themes with a simple (opinionated) workflow.

SYNOPSIS
 stb [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
sphinx-theme-builder is a tool authoring Sphinx themes with a simple (opinionated) workflow. sphinx-theme-builder helps make it easier to write sphinx themes.

•   simplified packaging experience

•   simplified JavaScript tooling setup

•   development server, with rebuild-on-save and automagical browser reloading

•   consistent repository structure across themes

OPTIONS

--help
    Show this message and exit.

COMMANDS

compile
    Compile the current project's assets.

new Create a new project.

npm Interact with the npm, available in the environment.

package
    Generate Python distribution files.

serve
    Serve the provided documentation, with livereload on changes.

AUTHORS
Written by Pradyun Gedam <mail@pradyunsg.me>

This manual page was written by Bo YU <tsu.yubo@gmail.com> for the Debian project (but may be used by others).